Data.Streaming.Process

# Functions

streamingProcess

closeStreamingProcessHandle

# Specialized streaming types

data Inherited

data ClosedStream

data UseProvidedHandle

# Process handle

data StreamingProcessHandle

waitForStreamingProcess

waitForStreamingProcessSTM

getStreamingProcessExitCode

getStreamingProcessExitCodeSTM

streamingProcessHandleRaw

streamingProcessHandleTMVar

# Type classes

class InputSource a

class OutputSink a

# Checked processes

withCheckedProcess

data ProcessExitedUnsuccessfully

# Reexport